#!/bin/sh
# 	SiteMinder WebAgent Script to prompt for locaitons
# 	of the WebAgent logs.  The sript will output the value 
# 	to file WebAgentLogPath.txt for later use
# 	Change history:
#    Dec 13, 2012 (mcqst02@ca.com): Completed v1.0 of script
# 
# Make sure variables have initial values.

  SiteMinderAgent=""
  AGENTLOG_PATH=""
 

 os=`uname -a | awk {'print $1}'`
#
clear
#
#
if env | grep -q ^NETE_PS_ROOT=
then
  echo Checking Siteminder enviroment - sucessfull!
else
  echo Siteminder envirnoment was not present exiting, please source siteminder enviroment 
  exit
fi

#
echo
echo "                 CA SiteMinder WebAgent Option"
echo 
if [ "$1" = "?" ]; then
   echo
   echo command line parameters are
   echo $0 AGENTLOG_PATH SiteMinderAgent
   echo 
   echo SiteMinderAgent   : CA Collection for SiteMinder WebAgent y/n : 
   echo AGENTLOG_PATH : Provide the CAMM Home eg: /opt/CA/webagent/logs
   echo
   exit 
fi
#
#
#

if [ "$1". = "." -o "$1". = ".." ]; then
   echo
   echo "CA Collection for SiteMInder WebAgent (y|N) :"
   read SiteMinderAgent
else
   SiteMinderAgent=$1
fi
if [ $SiteMinderAgent. != "y." ] && [ $SiteMinderAgent. != "Y." ]; then 
   echo No SiteMinder WebAgent logs will be collected at this time 
else 
   echo Enter location of WebAgent logs folder eg: /opt/CA/webagent/logs
   read AGENTLOG_PATH
   echo "logpath=$AGENTLOG_PATH" > WebAgentLogPath.txt
   echo continue
fi
