#!/bin/sh
# Service_Deskpre.sh
# description: Service Desk PRE Script  
# Contact : Shawn Walsh
# Company: CA Technologies
# Original Date: March 21 2013
# Design purpose: Use to run anything needed before CACDF is called.
# For Service Desk, we want to see if the native DIAG tool is available and if so, run that
SUPPORTTOOL=supp_diag.sh

if [ -f $NX_ROOT/diag/bin/$SUPPORTTOOL ]; then 
		echo "Service Desk has a native tool  included in 12.7 and later or from TEC469212."
		echo "We will launch to gather the logs and information."
		$NX_ROOT/bin/pdm_perl $NX_ROOT/diag/bin/supp_diag.pl
		product=Service_Desk_DiagRun
else
		echo "Support Diag Tool not found"
fi
