@rem   	SiteMinder WebAgent Script to prompt for locaitons
@rem 	of the WebAgent logs.  The sript will output the value 
@rem 	to file WebAgentLogPath.txt for later use
@rem 	Change history:
@rem    Dec 13, 2012 (mcqst02@ca.com): Completed v1.0 of script
@rem 	Jan 2015 SiteMinder SE Team adds Performance Monitor logging
@rem 	Feb 2015 (haemi01@ca.com) updates for UI and RemotEngScheduler.bat calls

@cls 
@echo off

REM  Check the APP server log location
@rem perl scripts\getAppServerLog.pl
@rem Removed as getAppServerLog.pl script was redundant 

echo          CA SiteMinder WebAgent Option
SETLOCAL EnableDelayedExpansion
 
rem Make sure variables have initial values.
set AGENTLOG_PATH=""
set SiteMinderAgent=""
set OSDataCollection=""
set BeginTime=""
set EndTime=""
set Interval=""
set Name=""

if "%1." equ "." (
echo.
echo CA Collection for SiteMInder WebAgent y/n ^>^>
set /p SiteMinderAgent=
) else ( set SiteMinderAgent=%1 )

if /i !SiteMinderAgent! neq y (
		echo No SiteMinder WebAgent logs will be collected at this time 
) else (
if "%2." equ "." (
echo.
echo Enter location of WebAgent logs folder eg: C:\Webagent\log ^>^>
set /p AGENTLOG_PATH=
) else ( set "AGENTLOG_PATH"="%2" )
)



rem echo Would you like to run the System Performance Monitor y/n ^>^>
rem set /p OSDataCollection=
rem if /i !OSDataCollection! neq y (
rem 		echo No OS Data logs will be collected at this time 
rem         exit /b
rem ) 

rem if not exist %NETE_PS_ROOT%\RemoteEngineer\scripts\logs (
rem 	mkdir %NETE_PS_ROOT%\RemoteEngineer\scripts\logs
rem )

rem echo Please enter output file name (ex: OSLogs) ^>^>
rem set /p Name=
rem echo Please enter data collection begin time (mm/dd/yyyy hh:mm:ss  ex: 02/14/2015 15:00:00) ^>^>
rem set /p BeginTime=
rem echo Please enter data collection end time (mm/dd/yyyy hh:mm:ss  ex: 02/21/2015 17:00:00) ^>^>
rem set /p EndTime=
rem echo Please enter data collection time interval (hh:mm:ss  ex: 01:00:00) ^>^>
rem set /p Interval=

rem scripts/RemoteEngScheduler.bat %Name% %Interval% %BeginTime% %EndTime%

echo logpath=%AGENTLOG_PATH% > sso_WebAgentLogPath.txt
