' Option Explicit
Dim qSettingsCount, qCount
qSettingsCount=0
qCount=0

Const ForReading = 1
Const ForAppending = 8

Set fso = CreateObject("Scripting.FileSystemObject")
Set inFile = fso.OpenTextFile("logs\t_system_configurations.csv",ForReading)

Dim MSMQApp ' As MSMQApplication
Set MSMQApp = CreateObject("MSMQ.MSMQApplication")

While Not inFile.AtEndOfStream
	strData = inFile.ReadLine()
	If InStr(strData,"current_status_queue_machine")>0 Then
		qSettingsCount=qSettingsCount+1
		For count = 0 to 1
			strData=Mid(strData,InStr(strData,",")+2,256)
		Next
		current_status_queue_machine=Mid(strData,1,InStr(strData,",")-2)
		wscript.echo "Found current_status_queue_machine = "&current_status_queue_machine
	End If
	If InStr(strData,"dashboard_queue_machine")>0 Then
		qSettingsCount=qSettingsCount+1
		For count = 0 to 1
			strData=Mid(strData,InStr(strData,",")+2,256)
		Next
		dashboard_queue_machine=Mid(strData,1,InStr(strData,",")-2)
		wscript.echo "Found dashboard_queue_machine = "&dashboard_queue_machine
	End If
	If InStr(strData,"default_queue_machine")>0 Then
		qSettingsCount=qSettingsCount+1
		For count = 0 to 1
			strData=Mid(strData,InStr(strData,",")+2,256)
		Next
		default_queue_machine=Mid(strData,1,InStr(strData,",")-2)
		wscript.echo "Found default_queue_machine = "&default_queue_machine
	End If
	If InStr(strData,"transport_provider")>0 Then
		qSettingsCount=qSettingsCount+1
		For count = 0 to 1
			strData=Mid(strData,InStr(strData,",")+2,256)
		Next
		transport_provider=Mid(strData,1,InStr(strData,",")-2)
		wscript.echo "Found transport_provider = "&transport_provider
	End If
Wend

If qSettingsCount=4 Then
	If InStr(transport_provider,"MSMQ")>0 Then
		For each qFormat in MSMQApp.PrivateQueues
			wscript.echo qformat
			Dim Mgmt ' As new MSMQmanagement
			Set Mgmt = CreateObject("MSMQ.MSMQmanagement")
			If (instr(qformat,"og adapter listener")>0 OR instr(qformat,"og alerts")>0)then
				qCount=qCount+1
				Mgmt.Init default_queue_machine,,"DIRECT=OS:" & qformat
				If Err.Number <> 0 Then
					WScript.Echo "The Queue is Empty"
					Err.Clear
				Else
					WScript.Echo "Messages " & CLng(Mgmt.MessageCount) & " Size: " & int(CLng(Mgmt.BytesInQueue)/1024) & " Kb"
				End If
				On Error Resume Next
			End If
			If instr(qformat,"og current status")>0 then
				qCount=qCount+1
				Mgmt.Init current_status_queue_machine,,"DIRECT=OS:" & qformat
				If Err.Number <> 0 Then
					WScript.Echo "The Queue is Empty"
					Err.Clear
				Else
					WScript.Echo "Messages " & CLng(Mgmt.MessageCount) & " Size: " & int(CLng(Mgmt.BytesInQueue)/1024) & " Kb"
				End If
				On Error Resume Next
			End If
			If instr(qformat,"og dashboard")>0 then
				qCount=qCount+1
				Mgmt.Init dashboard_queue_machine,,"DIRECT=OS:" & qformat
				If Err.Number <> 0 Then
					WScript.Echo "The Queue is Empty"
					Err.Clear
				Else
					WScript.Echo "Messages " & CLng(Mgmt.MessageCount) & " Size: " & int(CLng(Mgmt.BytesInQueue)/1024) & " Kb"
				End If
				On Error Resume Next
			End If
		Next
		If qCount<4 Then
			WScript.Echo "ERROR!!!! The Oblicore Message Queues were not all found!!!"		
		End If
	Else
		WScript.Echo "WARNING!!! transport_provider is NOT set to MSMQ"
	End If
Else
	WScript.Echo "WARNING!!! There are less than 4 settings for MSMQ and transport !!"
	WScript.Echo "This either indicates a version less than 7.0 or missing settings."
	WScript.Echo "we will not try to connect to the queues due to this"
End If


