@Echo Off
===================================================================================================
rem  File finding product version and performing misc checks on product
rem ===================================================================================================
rem 
rem  1/ Common setup for all scritps:
SET productResultDir=.\results\checkup-results
SET productVersionFile=%productResultDir%\scripts_result_product_version.txt
rem 
rem  2/ Retrieve product version and output result in file: productVersionFile

sc query NetQoSHarvester | find "does not exist" >nul
if %ERRORLEVEL% EQU 0 goto consoleversion
if %ERRORLEVEL% EQU 1 (
	echo ==============================
	echo Checking Harvester Version
	echo ==============================
	mysql -P3308 -D harvester -N -s -r -e "select concat(majorVersion,'.',minorVersion,'.',hotfixnumber) from revision_history order by installdate desc limit 1;">>%productVersionFile%
	goto end
	)

:consoleversion
sc query "NetQoS Reporter Manager Service" | find "does not exist" >nul
if %ERRORLEVEL% EQU 0 goto dsaversion
if %ERRORLEVEL% EQU 1 (
	echo ==========================
	echo Checking Reporter Version
	echo ==========================
	mysql -P3308 -D reporter -N -s -r -e "select concat(majorVersion,'.',minorVersion,'.',hotfixnumber) from revision_history order by installdate desc limit 1;">>%productVersionFile%
	goto end
	)
	
:dsaversion
sc query "dsaloader" | find "does not exist" >nul
if %ERRORLEVEL% EQU 0 goto exit
if %ERRORLEVEL% EQU 1 (
	echo =========================
	echo Checking DSA Version
	echo ==========================
	mysql -P3308 -D nqrptr -N -s -r -e "select concat(majorVersion,'.',minorVersion,'.',hotfixnumber) from revision_history order by installdate desc limit 1;">>%productVersionFile%
	goto end
	)
	
rem
:end
 
exit 0
