@cls 
@echo off
SETLOCAL EnableDelayedExpansion
 
rem Make sure variables have initial values.
set contact=""
set issue=""
set siteid=""
set product=""
set ans=""
set debug=""
set noprompt=""
set secure=y
set tx=yes
rem set ftpopt=""
set ext=""
set cd=%CD%
set update=""
set chkupdate=1
set UPDATE_SCRIPTS=1
              
rem get ready for 64bit version
if defined ProgramFiles(x86) (
  rem @echo Some 64-bit work
  set ext=64
) 
rem just 32bit for now
rem set ext=


echo.
echo          CA Remote Engineer
if "%1" equ "?" set h=Y
if "%1" equ "-?" set h=Y
if "%1" equ "--?" set h=Y
for %%v in ( "-h" "-help" "--h" "--help") do if /i "%1" EQU "%%~v" set h=Y
if "%h%" equ "Y" (
echo.
echo command line parameters are
echo %0 Issue_number SiteID ftpopt product_name
echo. 
echo Issue number is the value for your CA Support issue
echo SiteID is the number for the CA support Contract Site
echo ftpopt is either Y or N or the Support site userid:password to allow
echo         ftping the result file immediately, default N
echo if ftpopt is Y, then you will be prompted for the userid and password
echo product_name is the name of the optional product specific info file
echo.
exit /b
)

:GetProduct
if "%5." equ "." (
echo.
set /p product="Enter the name of the CA product that is affected> "
echo.
) else ( set product=%5)

if /i "%6." equ "(debug." ( 
  set debug=%6
  set debug_checkup=debug
)
if /i "%6." equ ""(debug"." ( 
  set debug=%6
  set debug_checkup=debug
)
if /i "%6." equ "-debug." ( 
  set debug="(debug"
  set debug_checkup=debug
)


if /i "%6." equ "(noprompt." ( 
  set noprompt='y'
)
if /i "%6." equ ""(noprompt"." ( 
  set noprompt='y'
)
if /i "%6." equ "-noprompt." ( 
  set noprompt='y'
)
if /i "%7." equ "(debug." ( 
  set debug=%6
  set debug_checkup=debug
)
if /i "%7." equ ""(debug"." ( 
  set debug=%6
  set debug_checkup=debug
)
if /i "%7" equ "-debug." ( 
  set debug="(debug"
  set debug_checkup=debug
)


if /i "%7" equ "(noprompt." ( 
  set noprompt='y'
)
if /i "%7." equ ""(noprompt"." ( 
  set noprompt='y'
)
if /i "%7." equ "-noprompt." ( 
  set noprompt='y'
)
rem if not prompting, don't check filename, passed by shell script
if !noprompt! equ "" (
        rem
        rem strip off the extension
        call :handleprod !product! product
        rem
        rem If the Product name entered is Invalid show valid choices
        rem Double check if product.txt exists
        if not exist "scripts\!product!.txt" (
        echo "Product name !product! does not exist, detecting available products..."
        rem Clear Product filenames file
        echo "Product Identifier:" > productnames.out
        rem List out product names from product.txt files
        rem exclude the native files which are not product related
        FOR /F "delims=." %%i in ('dir /B/o scripts\*.txt') do @echo %%i  | findstr /vi "osdoc README version diaginfo probinfo re_log drwatsoninfo docfile" >> productnames.out
        rem
        echo "Please look through the product names and rerun RE"
        set /P continue="Press [Enter] key to show product choices"
        notepad productnames.out
        set /p pause="Press [Enter] to re-enter productname"
        goto GetProduct
        )
        rem
)

rem
:FTP
if "%4." equ "." (
set /p ftpopt="Do you want to send the zip file to the CA FTP site? (y|N) > "
) else ( set ftpopt=%4 )
rem check to see if user said yes
if /i "!ftpopt!." equ "n." (
     	set ftpopt="noftp"
	set contact=CA
	set issue=CDF
	set siteid=1
	goto NoFTP
)
if /i "!ftpopt!." equ "." (
	set ftpopt="noftp"
	set contact=CA
	set issue=CDF
	set siteid=1
	goto NoFTP
)    
if /i "!ftpopt!." equ "no." (
	set ftpopt="noftp"
	set contact=CA
	set issue=CDF
	set siteid=1
	goto NoFTP
)    
rem watch out for trailing spaces
for /l %%a in (1,1,31) do if "!ftpopt:~-1!"==" " set ftpopt=!ftpopt:~0,-1!
rem check to see if we are doing secure mode
if /i yy equ !secure!!ftpopt! (    
    rem secure mode, now we need the userid and password
    echo:
    rem get the userid string
    set /p ftpuser="please enter your CA Support Online userid (email address) >"
    rem try the old way with the vbs  
    set rc1=0
    for /f "delims=" %%v in ('cscript -nologo scripts\pw.vbs') do (set rc1=1 & set ftppw=%%v)
    rem if the vbs failed (not found)
    if !rc1! equ 0 (
      rem then use the new way
      for /f "delims=" %%v in ('scripts\scriptpw.exe') do set ftppw=%%v
    )
    set ftpopt="!ftpuser!:!ftppw!"
) else (
    rem if secure mode is on, but the user specified something OTHER than 'y'
    if /i !secure! equ y (
        if /i %4. equ n. (
          set ftpopt="noftp"
        ) else (
           if %4. neq . (
               set ftpopt=%4
           )
        )
    ) else (
       rem no secure mode, just handle it
       if !ftpopt!. equ "." (
         set ftpopt=!tx!
       ) else (
         set ftpopt="noftp"
       )
    )
)

if "%1." equ "." (
echo.
echo.
set /p contact="Enter CA Support issue number, ex: 20123456-01 > "
) else ( set contact=%1 )


if "%2." equ "." (
rem echo.
rem set /p issue="Enter CA issue number (01)> "
set issue=---
) else ( set issue=%2 )
rem if "%2." equ "." (
rem   set issue=01
rem )

if "%3." equ "." (
echo.
set /p siteid="Enter your CA Site ID number> "
) else ( set siteid=%3 )
echo:

:NoFTP



if "!product!." equ "." (
        echo CA Product Not specified 
        set product="-"
) else (
	echo ---------------------------------- 
        echo CA Product is %product%
)
if  !ftpopt! equ "noftp" (
        echo DO NOT send file to CA FTP site.
	rem echo Writing output to filename %contact%-%issue%-%siteid%.zip
) else (
	echo Issue number is %contact%
	rem echo Issue number is %issue%
	echo Site ID number is %siteid%
        echo Send file to CA FTP site.
)
echo.

if !noprompt! equ "" (
        set /p ans="Is this correct?(Y|n) > "
) else (
         set ans='y'
)

if /I !ans! equ n (
        echo Answers are not correct.  Aborting.
        exit /b
) else (
        echo Answers are correct
)
if !chkupdate! equ 1 (
if !noprompt! equ "" (
        rem only check for new version if talking to user
        rem non-prompters could set the flag for us
        echo Checking for newer version
        rem get the version file from the server
        ftp -v -s:scripts\versioncheck.ftp ftp.ca.com  >nul 2>&1  
        rem if the download worked
        if exist sversion.txt (
        rem compare with our copy            
        rem fc sversion.txt version.txt /b >nul 2>&1
	rem the file compare was not a true comparison of the file version numbers contained in sversion.txt and version.txt. Slast02 ddded new subroutine, vercomp, to accomplish this - 02/27/2016
	call :vercomp
        if  errorlevel 1 ( set /p update="there is a newer version available, do you want to download it now? (Y|n) >") else (set update=n)
        del sversion.txt >nul 2>&1
        if !update!. equ "". set update="y"
        if /i !update! equ "y" ( set UPDATE_PGM=1 )
        ))
)
)



:rerun
if !UPDATE_PGM!. equ . (
if exist scripts\%product%pre.cmd call scripts\%product%pre.cmd
)

rem run the command
path=%cd%\mswin32;%cd%\scripts;%path%
.\mswin32\re-checkup_w32.exe "!product!" 
.\mswin32\re-core_w32.exe !contact! !issue! !siteid! "!product!" !ftpopt! !debug!
rem check to see if there was an update
if errorlevel 5 (
        rem copy the update over us
        if exist update (
                echo applying update
                xcopy update\RemoteEngineer\* /e/d/y >copydb.txt 2>&1
                rem erase the update directory
                rd /s/q update >>copydb.txt 2>&1
                rem clear the update flag
                set UPDATE_PGM=
                echo update completed, restarting
                rem re-invoke us silently
        )
        goto :rerun
)

if exist scripts\%product%post.cmd call scripts\%product%post.cmd
endlocal

goto :eofl

:handleprod
echo off
setlocal 

set teststring=%1
:stringLOOP
    REM Stop when the string is empty
    if "!teststring!" EQU "" goto ENDloop


for /f "delims=." %%a in ("!teststring!") do set substring=%%a

        REM Do something with the substring - 
        REM we just echo it for the purposes of demo

REM Now strip off the leading substring
:striploop
    set stripchar=!teststring:~0,1!
    set teststring=!teststring:~1!

    if "!teststring!" EQU "" goto stringloop

    if "!stripchar!" NEQ ";" goto striploop

    goto stringloop
)




:ENDloop
endlocal&set %~2=%substring%
goto:eof

:vercomp
for /F "delims== tokens=2" %%i in (version.txt) do set lv=%%i
for /F "delims== tokens=2" %%i in (sversion.txt) do set sv=%%i
set lver=!lv!
set sver=!sv!
set "lver=%lver:.=%"
set "sver=%sver:.=%"
if %lver% LSS %sver% exit /b 1 else exit /b 0

:eofl


