@rem	GENpre.cmd used to call DLLBrowse.exe
@rem    
@rem	DLLBrowse.exe - used to list .exe and .dlls used in the CA Gen product
@rem	Should exist in the GEN product directory at %IEFH%
@rem 
@rem    Valid input is:  <valid Gen directory\>  <.exe or .dll>  batch
@rem
@rem    Notes: The trailing "\" in the directory is required.
@rem    If no extension is input, "*.*" is used.
@rem    If an invalid directory is input, Dllbrowse.err will be written to the base 
@rem    Gen directory found in IEFH, or else in the current directory running Dllbrowse.exe.
@rem
@rem    Examples:
@rem    c:\gen85\gen\ batch
@rem    c:\gen80\gen\ .exe batch
@rem    .dll batch
@rem    batch
@rem
@rem   Report DllBrowse.txt will be written into the directory being reported against.
@rem   
@rem
@cls 
@echo off
@rem Set temporary values

if "%IEFH%"=="" (
echo ==========================================
echo GEN Installation path not found
echo ========================================== 
echo Enter the GEN product install folder eg: C:\GEN ^>^>
set /p IEFH=
)  
echo ==========================================
echo     Running GEN DLLBrowse application
echo ==========================================
"%IEFH%"\dllbrowse.exe batch
echo Gen_Path=%IEFH% >GEN_PATH_DIR.out
echo ========================================== >>GEN_PATH_DIR.out
dir "%IEFH%" >>GEN_PATH_DIR.out
echo Running the GEN DLLBrowse application, please hit enter to continue ^>^>
set /p GEN_DLLBrowseRun=
