set echo off
set feedback off
set linesize 100
set pagesize 0
set sqlPrompt ''
set trimspool on

connect &1/&2@&3
spool logs\tables.csv
select TNAME from tab where tabtype='TABLE' order by TNAME asc;
spool off
spool logs\views.csv
select TNAME from tab where tabtype='VIEW' order by TNAME asc;
spool off
spool logs\indexes.csv
select index_name from user_indexes order by index_name asc;
spool off
spool logs\t_system_configurations.csv
select '"'||SYS_CONFIG_ID||'","'||SYS_CONFIG_NAME||'","'||SYS_CONFIG_VALUE||'","'||SYS_CONFIG_PARENT||'","'||CHANGEABLE_IN_GUI||'","'||VALUE_TYPE||'","'||DISPLAY_NAME||'","'||CREATE_DATE||'","'||MODIFY_DATE||'"' from t_system_configurations order by SYS_CONFIG_NAME asc;
spool off
spool logs\nls_parameters.csv
select '"'||PARAMETER||'","'||VALUE||'"' from v$nls_parameters order by PARAMETER asc;
spool off
exit;