Const ForReading = 1
Const ForAppending = 8

Set fso = CreateObject("Scripting.FileSystemObject")
Set inFile = fso.OpenTextFile("logs\nls_parameters.csv",ForReading)
Set oFile = fso.OpenTextFile("logs\checkCharSets.log",ForAppending,TRUE)

While Not inFile.AtEndOfStream
	strData = inFile.ReadLine()
	If InStr(strData,"NLS_LANGUAGE")>0 Then
		If (InStr(strData, "AMERICAN")<1) Then oFile.WriteLine("WARNING: language is not set to AMERICAN")
		oFile.WriteLine(strData)
	End If
	If InStr(strData,"NLS_ISO_CURRENCY")>0 Then
		If (InStr(strData, "AMERICA")<1) Then oFile.WriteLine("WARNING: currency is not set to AMERICA")
		oFile.WriteLine(strData)
	End If
	If InStr(strData,"NLS_CHARACTERSET")>0 Then
		If ((InStr(strData, "WE8MSWIN1252")<1) And (Instr(strData, "AL32UTF8")<1)) Then 
			oFile.WriteLine("ERROR: Characterset is not WE8MSWIN1252 or AL32UTF8")
		End If
		oFile.WriteLine(strData)
	End If
	If InStr(strData,"NLS_NCHAR_CHARACTERSET")>0 Then
		If ((InStr(strData, "AL32UTF8")<1) And (Instr(strData, "AL16UTF16")<1)) Then 
			oFile.WriteLine("ERROR: Nchar Characterset is not AL32UTF8 or AL16UTF16")
		End If
		oFile.WriteLine(strData)
	End If
Wend

inFile.Close
oFile.Close

WScript.quit