Dim OGversion, cfgVersion, OGversionFound, cfgVersionFound

OGversionFound = 0
cfgVersionFound = 0
Const ForReading = 1
Const ForAppending = 8

Set fso = CreateObject("Scripting.FileSystemObject")
Set inFile = fso.OpenTextFile("logs\versions.log",ForReading)
Set inFile2 = fso.OpenTextFile("logs\t_system_configurations.csv",ForReading)

While Not inFile.AtEndOfStream
	strData = inFile.ReadLine()
	If InStr(strData,"Oblicore\8")>0 OR InStr(strData,"Oblicore\7")>0 OR InStr(strData,"Oblicore\6") OR InStr(strData,"Oblicore\5")>0 Then
		OGversionFound=1
		OGversion = Trim(Mid(strData,38,7))
		wscript.echo "Found OG version in the registry:"
		wscript.echo OGversion
		While Not inFile2.AtEndOfStream
			strData2 = inFile2.ReadLine()
			If InStr(strData2,"short_version")>0 Then
				tempString = Mid(strData2,InStr(strData2,"short_version")+16,10)
				cfgVersion = Mid(tempString,1,InStr(tempString,",")-2)
				cfgVersionFound = 1
			End If
		Wend
		If cfgVersionFound=0 Then
			wscript.echo "Could not find the product short_version entry in t_system_configurations!!!!"
		Else
			OGversion=Replace(OGversion,"_"," ")
			If StrComp(cfgVersion,OGversion)<>0 Then
				wscript.echo "WARNING: the version in the registry and the one in the DB do not match!!!"
			End If
			wscript.echo "Found version in t_system_configurations from the database:"
			wscript.echo cfgVersion
		End If
	End If
Wend

If OGversionFound=0 Then
	wscript.echo "No Valid Oblicore Versions found in the registry!!!"
	wscript.echo "This may not be an Application server or this may be an error."
End If

inFile.Close
inFile2.Close
