@Echo Off
@rem ===================================================================================================
@rem  File finding product version and performing misc checks on product
@rem ===================================================================================================
@rem 
@rem  1/ Common setup for all scritps:
@rem SET productResultDir=C:\build-3.0-windows_v6\results\checkup-results
SET productResultDir=.\results\checkup-results
SET productVersionFile=%productResultDir%\scripts_result_product_version.txt

@rem Checks registry fir SSO versoin if 64-bit or 32-bit OS
setlocal ENABLEEXTENSIONS
reg query HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Netegrity\SiteMinder\CurrentVersion 
	if %ERRORLEVEL% == 0 set KEY_NAME=HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Netegrity\SiteMinder\CurrentVersion
	if %ERRORLEVEL% == 1 set KEY_NAME=HKEY_LOCAL_MACHINE\SOFTWARE\Netegrity\SiteMinder\CurrentVersion
@rem echo Key Name = %KEY_NAME%
@rem returns value of the version
set VALUE_NAME=Version
FOR /F "usebackq skip=2 tokens=1-3" %%A IN (`REG QUERY %KEY_NAME% /v %VALUE_NAME% 2^>nul`) DO (
    set ValueName=%%A
    set ValueType=%%B
    set ValueValue=%%C
)
if defined ValueName (
    echo Value Name = %ValueName%
    echo Value Type = %ValueType%
    echo Value Value = %ValueValue%
  ) else (
    echo %KEY_NAME%\%VALUE_NAME% not found.
  )
echo %ValueValue%>%productVersionFile%
exit 0